--- old/usr/src/uts/intel/drm/Makefile	Mon Jan  7 13:08:09 2019
+++ new/usr/src/uts/intel/drm/Makefile	Mon Jan  7 13:08:09 2019
@@ -23,6 +23,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the DRM (Direct Rendering
@@ -56,6 +57,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-unused-variable
 
+# needs work
+SMOFF += precedence,indenting,deref_check,all_func_returns
+
 #
 #	Define targets
 #
--- old/usr/src/uts/intel/dtrace/Makefile	Mon Jan  7 13:08:11 2019
+++ new/usr/src/uts/intel/dtrace/Makefile	Mon Jan  7 13:08:11 2019
@@ -22,6 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 UTSBASE	= ../..
 
@@ -49,6 +50,9 @@
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/dtrace.o := SMOFF += signed_integer_overflow_check,deref_check
+
 CPPFLAGS	+= -I$(SRC)/common/util
 
 ALL_TARGET	= $(BINARY) $(SRC_CONFILE)
--- old/usr/src/uts/intel/e1000g/Makefile	Mon Jan  7 13:08:12 2019
+++ new/usr/src/uts/intel/e1000g/Makefile	Mon Jan  7 13:08:12 2019
@@ -22,13 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# uts/intel/e1000g/Makefile
-#
-#	This makefile drives the production of the iprb
-#	network driver kernel module.
-#
-#	intel architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Paths to the base of the uts directory trees
@@ -71,6 +65,8 @@
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_cc=-erroff=E_STATEMENT_NOT_REACHED
 
+SMOFF += all_func_returns,indenting,shift_to_zero
+
 LINTTAGS	+= -erroff=E_CONSTANT_CONDITION
 
 #
--- old/usr/src/uts/intel/ecc/Makefile	Mon Jan  7 13:08:15 2019
+++ new/usr/src/uts/intel/ecc/Makefile	Mon Jan  7 13:08:15 2019
@@ -24,11 +24,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#
-#	This makefile drives the production of the ECc kef provider.
-#
-#	intel implementation architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -76,6 +72,12 @@
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+# false positive
+$(OBJS_DIR)/ecdecode.o := SMOFF += assign_vs_compare
+$(OBJS_DIR)/ec.o := SMOFF += assign_vs_compare
+
+SMOFF += indenting,all_func_returns
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/ehci/Makefile	Mon Jan  7 13:08:18 2019
+++ new/usr/src/uts/intel/ehci/Makefile	Mon Jan  7 13:08:18 2019
@@ -22,9 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#
-#	This makefile drives the production of the ehci driver kernel module.
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -48,6 +46,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-switch
 
+# needs work
+SMOFF += deref_check,shift_to_zero
+
 #
 # depends on misc/usba
 #
--- old/usr/src/uts/intel/eibnx/Makefile	Mon Jan  7 13:08:20 2019
+++ new/usr/src/uts/intel/eibnx/Makefile	Mon Jan  7 13:08:20 2019
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 # This makefile drives the production of the EoIB Nexus driver
@@ -77,6 +78,9 @@
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/enx_ibt.o := SMOFF += deref_check
+
 #
 # Default build targets
 #
--- old/usr/src/uts/intel/emlxs/Makefile	Mon Jan  7 13:08:22 2019
+++ new/usr/src/uts/intel/emlxs/Makefile	Mon Jan  7 13:08:22 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 # Copyright (c) 2011 Bayard G. Bell. All rights reserved.
+# Copyright (c) 2018, Joyent, Inc.
 #
 # This makefile drives the production of the emlxs driver kernel module.
 #
@@ -95,6 +96,11 @@
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+SMOFF += indenting,deref_check,all_func_returns
+
+# seems definitely wrong
+$(OBJS_DIR)/emlxs_fcf.o := SMOFF += logical_instead_of_bitwise
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/emul64/Makefile	Mon Jan  7 13:08:23 2019
+++ new/usr/src/uts/intel/emul64/Makefile	Mon Jan  7 13:08:23 2019
@@ -21,6 +21,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 # Copyright (c) 2011 Bayard G. Bell. All rights reserved.
+# Copyright (c) 2018, Joyent, Inc.
 #
 #	This makefile drives the production of the emul64 kernel
 #	driver to testing hotplugging operations
@@ -70,6 +71,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += indenting,shift_to_zero
+
 #
 # Depends on scsi
 #
--- old/usr/src/uts/intel/eoib/Makefile	Mon Jan  7 13:08:26 2019
+++ new/usr/src/uts/intel/eoib/Makefile	Mon Jan  7 13:08:26 2019
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 # This makefile drives the production of the EoIB Nexus driver
@@ -66,6 +67,9 @@
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/eib_ibt.o := SMOFF += deref_check
+
 #
 # Depends on misc/ibtl
 #
--- old/usr/src/uts/intel/fcip/Makefile	Mon Jan  7 13:08:28 2019
+++ new/usr/src/uts/intel/fcip/Makefile	Mon Jan  7 13:08:28 2019
@@ -23,10 +23,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# This makefile drives the production of fcip driver kernel module.
-#
-# i86pc architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -74,6 +71,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-type-limits
 
+# needs work
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/fcoei/Makefile	Mon Jan  7 13:08:30 2019
+++ new/usr/src/uts/intel/fcoei/Makefile	Mon Jan  7 13:08:30 2019
@@ -22,8 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the fcoei driver for 
-#	LEADVILLE.
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -40,6 +39,9 @@
 ROOTMODULE	= $(ROOT_DRV_DIR)/$(MODULE)
 CONF_SRCDIR	= $(UTSBASE)/common/io/fibre-channel/fca/fcoei
 
+# needs work
+SMOFF += all_func_returns
+
 #
 #	Include common rules.
 #
--- old/usr/src/uts/intel/fcoet/Makefile	Mon Jan  7 13:08:33 2019
+++ new/usr/src/uts/intel/fcoet/Makefile	Mon Jan  7 13:08:33 2019
@@ -22,8 +22,7 @@
 #
 # Copyright (c) 2009, 2010, Oracle and/or its affiliates. All rights reserved.
 #
-# This makefile drives the production of the fcoet driver for COMSTAR.
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -39,6 +38,9 @@
 LINTS		= $(FCOET_OBJS:%.o=$(LINTS_DIR)/%.ln)
 ROOTMODULE	= $(ROOT_DRV_DIR)/$(MODULE)
 
+# needs work
+SMOFF += all_func_returns,shift_to_zero
+
 #
 #	Include common rules.
 #
--- old/usr/src/uts/intel/fcp/Makefile	Mon Jan  7 13:08:36 2019
+++ new/usr/src/uts/intel/fcp/Makefile	Mon Jan  7 13:08:36 2019
@@ -23,8 +23,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# This makefile drives the production of fcp driver kernel module.
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -69,6 +68,8 @@
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/fct/Makefile	Mon Jan  7 13:08:38 2019
+++ new/usr/src/uts/intel/fct/Makefile	Mon Jan  7 13:08:38 2019
@@ -21,8 +21,7 @@
 #
 # Copyright (c) 2008, 2010, Oracle and/or its affiliates. All rights reserved.
 #
-#	This makefile drives the production of the fct driver for 
-#	COMSTAR.
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -74,6 +73,9 @@
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += strcpy_overflow
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/fctl/Makefile	Mon Jan  7 13:08:40 2019
+++ new/usr/src/uts/intel/fctl/Makefile	Mon Jan  7 13:08:41 2019
@@ -23,12 +23,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident "@(#)Makefile 1.10	08/07/25 SMI"
-#
-# This makefile drives the production of fctl driver kernel module.
-#
-# i86pc architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -70,6 +65,9 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/fctl.o := SMOFF += all_func_returns,deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/fd/Makefile	Mon Jan  7 13:08:43 2019
+++ new/usr/src/uts/intel/fd/Makefile	Mon Jan  7 13:08:43 2019
@@ -24,14 +24,9 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
-#	This makefile drives the production of the floppy driver
-#
-#	intel architecture dependent
-#
-
-#
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
 #
 UTSBASE	= ../..
@@ -72,6 +67,9 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/fd.o := SMOFF += all_func_returns
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/fp/Makefile	Mon Jan  7 13:08:45 2019
+++ new/usr/src/uts/intel/fp/Makefile	Mon Jan  7 13:08:45 2019
@@ -23,12 +23,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident "@(#)Makefile 1.10	08/07/25 SMI"
-#
-# This makefile drives the production of fp driver kernel module.
-#
-# i86pc architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -79,6 +74,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-unused-function
 
+# needs work
+$(OBJS_DIR)/fp.o := SMOFF += all_func_returns,deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/gen_drv/Makefile	Mon Jan  7 13:08:48 2019
+++ new/usr/src/uts/intel/gen_drv/Makefile	Mon Jan  7 13:08:48 2019
@@ -22,13 +22,9 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
-#	This makefile drives the production of the gen_drv kernel
-#	driver to testing hotplugging operations
-#
-
-#
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
 #
 UTSBASE	= ../..
@@ -64,6 +60,9 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-variable
 
+# needs work
+$(OBJS_DIR)/gen_drv.o := SMOFF += indenting,deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/genunix/Makefile	Mon Jan  7 13:08:49 2019
+++ new/usr/src/uts/intel/genunix/Makefile	Mon Jan  7 13:08:49 2019
@@ -23,6 +23,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the generic
@@ -110,6 +111,24 @@
 CERRWARN	+= -_gcc=-Wno-clobbered
 CERRWARN	+= -_gcc=-Wno-empty-body
 
+# false positives
+SMOFF += index_overflow
+$(OBJS_DIR)/seg_vn.o := SMOFF += deref_check
+$(OBJS_DIR)/ddi_intr_irm.o := SMOFF += deref_check
+
+# need work still
+SMOFF += signed,indenting,all_func_returns
+$(OBJS_DIR)/clock_highres.o := SMOFF += signed_integer_overflow_check
+$(OBJS_DIR)/evchannels.o := SMOFF += allocating_enough_data
+$(OBJS_DIR)/klpd.o := SMOFF += cast_assign
+$(OBJS_DIR)/lookup.o := SMOFF += strcpy_overflow
+$(OBJS_DIR)/process.o := SMOFF += or_vs_and
+$(OBJS_DIR)/sunpci.o := SMOFF += deref_check
+$(OBJS_DIR)/timers.o := SMOFF += signed_integer_overflow_check
+
+# definitely wrong
+$(OBJS_DIR)/acl_common.o := SMOFF += or_vs_and
+
 #
 # Ensure that lint sees 'struct cpu' containing a fully declared
 # embedded 'struct machcpu'
--- old/usr/src/uts/intel/hermon/Makefile	Mon Jan  7 13:08:52 2019
+++ new/usr/src/uts/intel/hermon/Makefile	Mon Jan  7 13:08:52 2019
@@ -23,12 +23,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the hermon InfiniBand module
-#
-#	intel architecture dependent
-#
-# uts/intel/hermon/Makefile
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -78,6 +73,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/hme/Makefile	Mon Jan  7 13:08:54 2019
+++ new/usr/src/uts/intel/hme/Makefile	Mon Jan  7 13:08:54 2019
@@ -24,10 +24,9 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the hme driver
-#	kernel module.
-#
+# Copyright (c) 2018, Joyent, Inc.
 
+
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
 #
@@ -63,6 +62,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/hme.o := SMOFF += indenting,deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/hook/Makefile	Mon Jan  7 13:08:56 2019
+++ new/usr/src/uts/intel/hook/Makefile	Mon Jan  7 13:08:57 2019
@@ -24,6 +24,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the hook driver kernel module.
@@ -52,6 +53,9 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/hook.o := SMOFF += all_func_returns
+
 #
 #	Define targets
 #
--- old/usr/src/uts/intel/hpcsvc/Makefile	Mon Jan  7 13:08:58 2019
+++ new/usr/src/uts/intel/hpcsvc/Makefile	Mon Jan  7 13:08:58 2019
@@ -24,15 +24,9 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
-#	This makefile drives the production of the hpcsvc "misc"
-#	kernel module.
-#
-#	intel architecture dependent
-#
-
-#
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
 #
 UTSBASE	= ../..
@@ -65,6 +59,9 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/hpcsvc.o := SMOFF += all_func_returns
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/hsfs/Makefile	Mon Jan  7 13:08:59 2019
+++ new/usr/src/uts/intel/hsfs/Makefile	Mon Jan  7 13:08:59 2019
@@ -25,11 +25,7 @@
 # Use is subject to license terms.
 # Copyright (c) 2011 Bayard G. Bell. All rights reserved.
 #
-#	This makefile drives the production of the hsfs file system
-#	kernel module.
-#
-#	intel architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -79,6 +75,9 @@
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-switch
 
+# needs work
+$(OBJS_DIR)/hsfs_vnops.o := SMOFF += 64bit_shift,signed
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/hxge/Makefile	Mon Jan  7 13:09:00 2019
+++ new/usr/src/uts/intel/hxge/Makefile	Mon Jan  7 13:09:00 2019
@@ -22,10 +22,9 @@
 #
 # Copyright (c) 2008, 2010, Oracle and/or its affiliates. All rights reserved.
 #
-#	This makefile drives the production of the Sun
-#	10G hxge Ethernet leaf driver kernel module.
+# Copyright (c) 2018, Joyent, Inc.
+
 #
-#
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
 #
 UTSBASE	= ../..
@@ -87,6 +86,8 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+SMOFF += deref_check,logical_instead_of_bitwise
+
 #
 #	Driver depends on mac & IP
 #
--- old/usr/src/uts/intel/i40e/Makefile	Mon Jan  7 13:09:01 2019
+++ new/usr/src/uts/intel/i40e/Makefile	Mon Jan  7 13:09:01 2019
@@ -10,7 +10,7 @@
 #
 
 #
-# Copyright 2017 Joyent, Inc.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 UTSBASE = ../..
@@ -43,6 +43,9 @@
 #
 CERRWARN   += -_cc=-erroff=E_ENUM_VAL_OVERFLOWS_INT_MAX
 
+# 3rd party code
+SMOFF += all_func_returns
+
 LDFLAGS		+= -dy -N misc/mac
 
 .KEEP_STATE:
--- old/usr/src/uts/intel/i8042/Makefile	Mon Jan  7 13:09:02 2019
+++ new/usr/src/uts/intel/i8042/Makefile	Mon Jan  7 13:09:02 2019
@@ -22,6 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the i8042 nexus driver
@@ -64,6 +65,9 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-function
 
+# needs work
+$(OBJS_DIR)/i8042.o := SMOFF += all_func_returns
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/i915/Makefile	Mon Jan  7 13:09:02 2019
+++ new/usr/src/uts/intel/i915/Makefile	Mon Jan  7 13:09:02 2019
@@ -23,6 +23,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 # uts/intel/drm/Makefile
@@ -59,6 +60,9 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-label
 
+# needs work
+SMATCH=off
+
 #
 #	Re-define targets
 #
--- old/usr/src/uts/intel/ibcm/Makefile	Mon Jan  7 13:09:03 2019
+++ new/usr/src/uts/intel/ibcm/Makefile	Mon Jan  7 13:09:03 2019
@@ -22,11 +22,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# uts/intel/ibcm/Makefile
-#
-#	This makefile drives the production of the ibcm kernel
-#	module. SPARC architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -70,6 +66,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-unused-value
 
+# needs work
+SMATCH=off
+
 #
 #	depends on misc/ibtl and misc/ibmf
 #
--- old/usr/src/uts/intel/ibmf/Makefile	Mon Jan  7 13:09:04 2019
+++ new/usr/src/uts/intel/ibmf/Makefile	Mon Jan  7 13:09:04 2019
@@ -22,13 +22,9 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
-#	This makefile drives the production of the ibmf kernel module.
 #
-#	intel architecture dependent
-#
-
-#
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
 #
 UTSBASE	= ../..
@@ -75,6 +71,9 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/ibp/Makefile	Mon Jan  7 13:09:05 2019
+++ new/usr/src/uts/intel/ibp/Makefile	Mon Jan  7 13:09:05 2019
@@ -21,7 +21,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 #
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -62,6 +62,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-switch
 
+# needs work
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/ibtl/Makefile	Mon Jan  7 13:09:07 2019
+++ new/usr/src/uts/intel/ibtl/Makefile	Mon Jan  7 13:09:07 2019
@@ -22,14 +22,9 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
-#	This makefile drives the production of the ibtl kernel module.
-#
-#	intel architecture dependent
-#
-
-#
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
 #
 UTSBASE	= ../..
@@ -58,9 +53,9 @@
 #	Overrides.
 #
 
-# 
-# lint pass one enforcement 
-# 
+#
+# lint pass one enforcement
+#
 CFLAGS += $(CCVERBOSE)
 
 #
@@ -80,6 +75,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-value
 
+# needs work
+$(OBJS_DIR)/ibtl_impl.o := SMOFF += precedence
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/icmp/Makefile	Mon Jan  7 13:09:08 2019
+++ new/usr/src/uts/intel/icmp/Makefile	Mon Jan  7 13:09:08 2019
@@ -23,6 +23,7 @@
 #
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
+# Copyright (c) 2018, Joyent, Inc.
 #
 #	This makefile drives the production of the icmp IP driver
 #
@@ -77,6 +78,9 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
+# needs work
+$(OBJS_DIR)/icmpddi.o := SMOFF += index_overflow
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/icmp6/Makefile	Mon Jan  7 13:09:11 2019
+++ new/usr/src/uts/intel/icmp6/Makefile	Mon Jan  7 13:09:11 2019
@@ -23,12 +23,7 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
-#	This makefile drives the production of the icmp6 IP driver
-#
-#	intel implementation architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -61,6 +56,8 @@
 #
 LDFLAGS		+= -dy -Ndrv/ip -Ndrv/ip6 -Ndrv/icmp
 
+# needs work
+$(OBJS_DIR)/icmp6ddi.o := SMOFF += index_overflow
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/idm/Makefile	Mon Jan  7 13:09:11 2019
+++ new/usr/src/uts/intel/idm/Makefile	Mon Jan  7 13:09:11 2019
@@ -24,11 +24,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#
-#	This makefile drives the production of the idm kernel module.
-#
-#	intel architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -66,6 +62,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMATCH=off
+
 #	Include
 INC_PATH	+= -I$(SRC)/common/hdcrc
 
--- old/usr/src/uts/intel/igb/Makefile	Mon Jan  7 13:09:12 2019
+++ new/usr/src/uts/intel/igb/Makefile	Mon Jan  7 13:09:12 2019
@@ -22,13 +22,7 @@
 # Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# uts/intel/igb/Makefile
-#
-#	This makefile drives the production of the igb
-#	network driver kernel module.
-#
-#	intel architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Paths to the base of the uts directory trees
@@ -58,6 +52,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_cc=-erroff=E_STATEMENT_NOT_REACHED
 
+# needs work
+SMOFF += all_func_returns,indenting
+
 CFLAGS		+= -I$(UTSBASE)/common/io/e1000api
 CFLAGS		+= -I$(UTSBASE)/common/io/igb
 
--- old/usr/src/uts/intel/intel_nb5000/Makefile	Mon Jan  7 13:09:13 2019
+++ new/usr/src/uts/intel/intel_nb5000/Makefile	Mon Jan  7 13:09:13 2019
@@ -21,6 +21,7 @@
 # Use is subject to license terms.
 # Copyright (c) 2011 Bayard G. Bell. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 # Intel 5000/5100/5400/7300 chipset memory controller hub (MCH) module
@@ -63,6 +64,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMATCH=off
+
 #
 #       Default build targets.
 #
--- old/usr/src/uts/intel/ip/Makefile	Mon Jan  7 13:09:14 2019
+++ new/usr/src/uts/intel/ip/Makefile	Mon Jan  7 13:09:14 2019
@@ -22,8 +22,9 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 #
-#	This makefile drives the production of the ip driver 
+#	This makefile drives the production of the ip driver
 #	kernel module.
 #
 #	intel implementation architecture dependent
@@ -68,6 +69,19 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-type-limits
 
+# false positives
+SMOFF += index_overflow
+
+# need work still
+$(OBJS_DIR)/igmp.o := SMOFF += shift_to_zero
+$(OBJS_DIR)/tnet.o := SMOFF += shift_to_zero
+SMOFF += signed,all_func_returns
+SMOFF += signed_integer_overflow_check
+
+# definitely wrong
+$(OBJS_DIR)/ip_input.o := SMOFF += or_vs_and
+$(OBJS_DIR)/ip6_input.o := SMOFF += or_vs_and
+
 #
 # To get the BPF header files included by ipnet.h
 #
@@ -78,7 +92,7 @@
 # swrand as it needs random numbers early on during boot before
 # kCF subsystem can load swrand.
 #
-LDFLAGS		+= -dy -Nmisc/md5 -Ncrypto/swrand -Nmisc/hook -Nmisc/neti 
+LDFLAGS		+= -dy -Nmisc/md5 -Ncrypto/swrand -Nmisc/hook -Nmisc/neti
 
 #
 # For now, disable these lint checks; maintainers should endeavor
--- old/usr/src/uts/intel/ip6/Makefile	Mon Jan  7 13:09:15 2019
+++ new/usr/src/uts/intel/ip6/Makefile	Mon Jan  7 13:09:15 2019
@@ -23,13 +23,7 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
-#	This makefile drives the production of the ip6 driver 
-#	kernel module.
-#
-#	intel implementation architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -62,6 +56,9 @@
 #
 LDFLAGS		+= -dy -Ndrv/ip
 
+# needs work
+$(OBJS_DIR)/ip6ddi.o := SMOFF += index_overflow
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/ipf/Makefile	Mon Jan  7 13:09:16 2019
+++ new/usr/src/uts/intel/ipf/Makefile	Mon Jan  7 13:09:16 2019
@@ -22,13 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# uts/intel/ipf/Makefile
-#
-#	This makefile drives the production of the ipf driver 
-#	kernel module.
-#
-#	intel architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -78,6 +72,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-empty-body
 
+# needs work
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/ipgpc/Makefile	Mon Jan  7 13:09:17 2019
+++ new/usr/src/uts/intel/ipgpc/Makefile	Mon Jan  7 13:09:17 2019
@@ -22,6 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the IP generic packet classifier
@@ -72,6 +73,9 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/filters.o := SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/ipsecah/Makefile	Mon Jan  7 13:09:17 2019
+++ new/usr/src/uts/intel/ipsecah/Makefile	Mon Jan  7 13:09:18 2019
@@ -23,9 +23,10 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
-#	This makefile drives the production of the ipsecah driver 
+#	This makefile drives the production of the ipsecah driver
 #	kernel module.
 #
 #	intel implementation architecture dependent
@@ -76,6 +77,11 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/ipsecahddi.o := SMOFF += index_overflow
+$(OBJS_DIR)/ipsecah.o := SMOFF += deref_check
+$(OBJS_DIR)/sadb.o := SMOFF += signed_integer_overflow_check,deref_check,indenting,shift_to_zero
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/ipsecesp/Makefile	Mon Jan  7 13:09:18 2019
+++ new/usr/src/uts/intel/ipsecesp/Makefile	Mon Jan  7 13:09:18 2019
@@ -23,6 +23,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the ipsecesp driver 
@@ -74,6 +75,10 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/ipsecespddi.o := SMOFF += index_overflow
+$(OBJS_DIR)/ipsecesp.o := SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/ipw/Makefile	Mon Jan  7 13:09:19 2019
+++ new/usr/src/uts/intel/ipw/Makefile	Mon Jan  7 13:09:19 2019
@@ -22,6 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 # This makefile drives the production of the ipw driver kernel module.
@@ -37,7 +38,7 @@
 #
 #	Define the module and object file sets.
 #
-MODULE		= ipw 
+MODULE		= ipw
 OBJECTS		= $(IPW_OBJS:%=$(OBJS_DIR)/%)
 LINTS		= $(IPW_OBJS:%.o=$(LINTS_DIR)/%.ln)
 ROOTMODULE	= $(ROOT_DRV_DIR)/$(MODULE)
@@ -52,6 +53,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/ipw2100.o := SMOFF += deref_check
+
 #
 #	Define targets
 #
--- old/usr/src/uts/intel/iscsi/Makefile	Mon Jan  7 13:09:19 2019
+++ new/usr/src/uts/intel/iscsi/Makefile	Mon Jan  7 13:09:19 2019
@@ -23,6 +23,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 # This makefile drives the production of iSCSI initiator Driver
@@ -74,6 +75,9 @@
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMATCH=off
+
 #
 # Default build targets.
 #
--- old/usr/src/uts/intel/iscsit/Makefile	Mon Jan  7 13:09:19 2019
+++ new/usr/src/uts/intel/iscsit/Makefile	Mon Jan  7 13:09:19 2019
@@ -21,14 +21,11 @@
 #
 # Copyright (c) 2008, 2010, Oracle and/or its affiliates. All rights reserved.
 #
-#	This makefile drives the production of the iscsit pseudo-driver for 
-#	COMSTAR.
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
 #
-
-
 UTSBASE	= ../..
 
 ARCHDIR:sh = cd ..; basename `pwd`
@@ -66,6 +63,10 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-unused-label
 
+# needs work
+SMOFF += cast_assign,strcpy_overflow
+
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/iser/Makefile	Mon Jan  7 13:09:20 2019
+++ new/usr/src/uts/intel/iser/Makefile	Mon Jan  7 13:09:20 2019
@@ -22,6 +22,8 @@
 #
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
+#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -45,6 +47,9 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/iser_ib.o := SMOFF += deref_check
+
 #
 #	Define targets
 #
--- old/usr/src/uts/intel/iwi/Makefile	Mon Jan  7 13:09:21 2019
+++ new/usr/src/uts/intel/iwi/Makefile	Mon Jan  7 13:09:21 2019
@@ -22,15 +22,9 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
-# ident	"%Z%%M%	%I%	%E% SMI"
 #
-# This makefile drives the production of the ipw driver kernel module.
-#
-# i86pc architecture dependent
-#
-
-#
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
 #
 UTSBASE	= ../..
@@ -38,7 +32,7 @@
 #
 #	Define the module and object file sets.
 #
-MODULE		= iwi 
+MODULE		= iwi
 OBJECTS		= $(IWI_OBJS:%=$(OBJS_DIR)/%)
 LINTS		= $(IWI_OBJS:%.o=$(LINTS_DIR)/%.ln)
 ROOTMODULE	= $(ROOT_DRV_DIR)/$(MODULE)
@@ -56,8 +50,11 @@
 INSTALL_TARGET	= $(BINARY) $(ROOTMODULE)
 
 CPPFLAGS	+= -I. -D_KERNEL
-LDFLAGS         += -dy -Nmisc/mac -Nmisc/net80211 -Ndrv/random -Ndrv/ip 
+LDFLAGS         += -dy -Nmisc/mac -Nmisc/net80211 -Ndrv/random -Ndrv/ip
 
+# needs work
+$(OBJS_DIR)/ipw2200.o := SMOFF += deref_check
+
 #
 #	Default build targets.
 #
